Skip to main content

GET /auth/me

Returns the profile of the currently authenticated user, including their tenant identifier.

Headers

HeaderRequiredDescription
AuthorizationYesBearer {access_token}
AcceptYesapplication/json

Request

curl https://api.dokstamp.eu/auth/me \
  -H "Authorization: Bearer {TOKEN}" \
  -H "Accept: application/json"

Response 200

{
  "data": {
    "id": 1,
    "uuid": "550e8400-e29b-41d4-a716-446655440000",
    "name": "João Silva",
    "email": "joao@universidade.edu.br",
    "tenant": {
      "id": 42,
      "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Universidade Federal Example",
      "domain": "universidade-federal-example"
    }
  }
}
FieldTypeDescription
tenant.domainstringUse this value as your X-Tenant header

Error 401

{ "message": "Unauthenticated." }